com.saxonica.expr.ee

## Class MultithreadedCollectionURIResolver

- java.lang.Object
- - net.sf.saxon.lib.StandardCollectionURIResolver
  - - com.saxonica.expr.ee.MultithreadedCollectionURIResolver

- All Implemented Interfaces:
    Serializable, CollectionURIResolver

      public class MultithreadedCollectionURIResolver
      extends StandardCollectionURIResolver
      implements CollectionURIResolver

  This class implements multithreading of collection URI Resolver.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.sf.saxon.lib.StandardCollectionURIResolver

      `StandardCollectionURIResolver.FileExpander`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MultithreadedCollectionURIResolver()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected SequenceIterator<DocumentInfo>` | `directoryContents(File directory, URIQueryParameters params, XPathContext context)` Return the contents of a collection as a sequenceIterator to a directory in filestore

    - ### Methods inherited from class net.sf.saxon.lib.StandardCollectionURIResolver

      `catalogContents, makeAbsoluteURI, resolve`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.saxon.lib.CollectionURIResolver

      `resolve`

- - ### Constructor Detail

    - #### MultithreadedCollectionURIResolver

          public MultithreadedCollectionURIResolver()

  - ### Method Detail

    - #### directoryContents

          protected SequenceIterator<DocumentInfo> directoryContents(File directory,
                                                         URIQueryParameters params,
                                                         XPathContext context)

      Return the contents of a collection as a sequenceIterator to a directory in filestore
      Overrides:
        `directoryContents` in class `StandardCollectionURIResolver`
      Parameters:
        `directory` - the directory to be processed
        `params` - parameters indicating whether to process recursively, what to do on errors, and which files to select
        `context` - the dynamic XPath evaluation context
      Returns:
        an iterator over the documents in the collection

Copyright (c) 2004-2013 Saxonica Limited. All rights reserved.